
IF OBJECT_ID ('INTEGRADOR_LINX_ECOMMERCE_PEDIDO_INFO_ENTREGA') IS NULL
BEGIN
	CREATE TABLE INTEGRADOR_LINX_ECOMMERCE_PEDIDO_INFO_ENTREGA (
		ID_FULFILLMENT		NCHAR(200) COLLATE SQL_LATIN1_GENERAL_CP1_CI_AS NOT NULL,
		CODIGO_TELEVENDAS	INT NOT NULL,
		LINHA_1_ENDERECO	VARCHAR(500) COLLATE SQL_LATIN1_GENERAL_CP1_CI_AS NOT NULL,
		CIDADE				VARCHAR(500) COLLATE SQL_LATIN1_GENERAL_CP1_CI_AS NOT NULL,
		NOME_CONTATO		VARCHAR(500) COLLATE SQL_LATIN1_GENERAL_CP1_CI_AS NOT NULL,
		TELEFONE_CONTATO	VARCHAR(20)  COLLATE SQL_LATIN1_GENERAL_CP1_CI_AS NOT NULL,
		ESTADO				VARCHAR(10)  COLLATE SQL_LATIN1_GENERAL_CP1_CI_AS NOT NULL,
		CEP					VARCHAR(10)  COLLATE SQL_LATIN1_GENERAL_CP1_CI_AS NOT NULL,
		LINHA_2_ENDERECO	VARCHAR(500) COLLATE SQL_LATIN1_GENERAL_CP1_CI_AS ,
		PAIS				VARCHAR(10)  COLLATE SQL_LATIN1_GENERAL_CP1_CI_AS ,
		BAIRRO				VARCHAR(500) COLLATE SQL_LATIN1_GENERAL_CP1_CI_AS ,
		OBSERVACOES			VARCHAR(500) COLLATE SQL_LATIN1_GENERAL_CP1_CI_AS ,
		VALOR_FRETE			MONEY ,
		DATA_CADASTRO		DATETIME CONSTRAINT DF_INTEGRADOR_LINX_ECOMMERCE_PEDIDO_INFO_ENTREGA_DATA_CADASTRO DEFAULT GETDATE() ,
		TIPO_ENTREGA		VARCHAR(500) COLLATE SQL_LATIN1_GENERAL_CP1_CI_AS ,
		VALOR_ENTREGA		MONEY ,
		DIAS_PARA_RETIRADA	INT ,
		TIPO_ENVIO			VARCHAR(500) COLLATE SQL_LATIN1_GENERAL_CP1_CI_AS ,
		CONSTRAINT PK_INTEGRADOR_LINX_ECOMMERCE_PEDIDO_INFO_ENTREGA PRIMARY KEY (CODIGO_TELEVENDAS,ID_FULFILLMENT)
	) 
END 

go
 
IF NOT EXISTS (SELECT * FROM SYS.INDEXES WHERE NAME = 'IX_INTEGRADOR_LINX_ECOMMERCE_PEDIDO_INFO_ENTREGA')
BEGIN 
	CREATE NONCLUSTERED INDEX IX_INTEGRADOR_LINX_ECOMMERCE_PEDIDO_INFO_ENTREGA ON DBO.INTEGRADOR_LINX_ECOMMERCE_PEDIDO_INFO_ENTREGA (  ID_FULFILLMENT ASC  ) WITH (  FILLFACTOR = 98)  
END